Subject: Re: [MOBILE-IP] Differences between the two MIPv4 handoff approac h hes

From: "Hesham Soliman (EPA)" <[email-masked]>
Date: Tue, 28 Nov 2000 10:25:08 +1100

>  =>  Are you saying that the MN does not know that it's about to
>         do a handoff in 802.11 ? If that's what you're saying then I
> disagree.
>
> <AS> No, I was not saying that MN does not know about the link layer
> handoff
> in
> 802.11.
>
        => Thank you that's my point.

>  I was just saying that the source AP does not know about the
> link layer handoff until link layer handoff is complete.
>
        => We're not discussing APs in MIP. We're talking about
        FAs. The AP doesn't know anything about MIP and it should remain
        tha way.

> The MN does not have enough time to discover the IP address of
> target FA through old AP and perform mobile/IP registration
> through old AP with target FA. <AS>
>
        => That's a speculative comment. I doubt that you can actually
        prove that.

>         The MN would know that handoff is about to take place.
>         Also please elaborate on why you say Fast Handoffs doesn't
>         work in current systems. What is not doable in a present network ?
>
>         While we're discussing this particular system (802.11) perhaps
>         you could explain how the proactive approach would work in 802.11.
>         A simple point form will do.
>
> <AS> I think, 802.11 AP can be modified to provide target trigger
> required for proactive handoff. Perhaps the target trigger can be
> initiated
> at the reception of some link layer handoff message at target AP. The link
> layer
>
        => So for proactive to work we have to modify that link layer.
        Exactly my point.

        Regards,
        Hesham